﻿using System;

namespace GermanyRuTest
{
    /// <summary>
    /// Class ItemsCombiner. This class cannot be inherited.
    /// Singleton implementation
    /// </summary>
    internal sealed partial class ItemsCombiner
    {
        private static readonly Lazy<ItemsCombiner> _lazy = new Lazy<ItemsCombiner>(() => new ItemsCombiner());

        private ItemsCombiner()
        {
            
        }

        public static ItemsCombiner Instance
        {
            get
            {
                return _lazy.Value;
            }
        }
    }
}