﻿using System;

namespace GermanyRuTest
{
    /// <summary>
    ///     Class ItemsCombiner. This class cannot be inherited.
    ///   Actions holder
    /// </summary>
    // ReSharper disable once ClassCannotBeInstantiated
    internal sealed partial class ItemsCombiner
    {
        public event EventHandler ExecutionFinished;
        public event EventHandler ExecutionStarted;

        /// <summary>
        ///     Actions the execution finished.
        /// </summary>
        public void ActionExecutionFinished()
        {
            OnExecutionFinished();
        }

        /// <summary>
        ///     Actions the execution start.
        /// </summary>
        public void ActionExecutionStart()
        {
            OnExecutionStarted();
        }

        private void OnExecutionFinished()
        {
            ExecutionFinished?.Invoke(this, EventArgs.Empty);
        }

        private void OnExecutionStarted()
        {
            ExecutionStarted?.Invoke(this, EventArgs.Empty);
        }
    }
}